/*
	$Id: Cursor.cs 25 2010-01-17 19:55:07Z catwalk $
*/
using System;
using System.Xml.Linq;

namespace Hiyoko.Net.Twitter{
	public class Cursor{
		public decimal Previous{get; private set;}
		public decimal Next{get; private set;}
		
		public Cursor(){
			this.Previous = -1;
			this.Next = -1;
		}
		
		public Cursor(decimal previous, decimal next){
			this.Previous = previous;
			this.Next = next;
		}
		
		public static Cursor FromXEmelent(XElement xml){
			return new Cursor((decimal)xml.Element("previours_cursor"), (decimal)xml.Element("next_cursor"));
		}
	}
}